﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#include <aws/account/model/StartPrimaryEmailUpdateRequest.h>
#include <aws/core/utils/json/JsonSerializer.h>

#include <utility>

using namespace Aws::Account::Model;
using namespace Aws::Utils::Json;
using namespace Aws::Utils;

StartPrimaryEmailUpdateRequest::StartPrimaryEmailUpdateRequest() : 
    m_accountIdHasBeenSet(false),
    m_primaryEmailHasBeenSet(false)
{
}

Aws::String StartPrimaryEmailUpdateRequest::SerializePayload() const
{
  JsonValue payload;

  if(m_accountIdHasBeenSet)
  {
   payload.WithString("AccountId", m_accountId);

  }

  if(m_primaryEmailHasBeenSet)
  {
   payload.WithString("PrimaryEmail", m_primaryEmail);

  }

  return payload.View().WriteReadable();
}




