﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#include <aws/apptest/model/GetTestConfigurationRequest.h>
#include <aws/core/utils/json/JsonSerializer.h>
#include <aws/core/http/URI.h>
#include <aws/core/utils/memory/stl/AWSStringStream.h>

#include <utility>

using namespace Aws::AppTest::Model;
using namespace Aws::Utils::Json;
using namespace Aws::Utils;
using namespace Aws::Http;

GetTestConfigurationRequest::GetTestConfigurationRequest() : 
    m_testConfigurationIdHasBeenSet(false),
    m_testConfigurationVersion(0),
    m_testConfigurationVersionHasBeenSet(false)
{
}

Aws::String GetTestConfigurationRequest::SerializePayload() const
{
  return {};
}

void GetTestConfigurationRequest::AddQueryStringParameters(URI& uri) const
{
    Aws::StringStream ss;
    if(m_testConfigurationVersionHasBeenSet)
    {
      ss << m_testConfigurationVersion;
      uri.AddQueryStringParameter("testConfigurationVersion", ss.str());
      ss.str("");
    }

}



