﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#include <aws/bedrock-agent/model/UnreachableNodeFlowValidationDetails.h>
#include <aws/core/utils/json/JsonSerializer.h>

#include <utility>

using namespace Aws::Utils::Json;
using namespace Aws::Utils;

namespace Aws
{
namespace BedrockAgent
{
namespace Model
{

UnreachableNodeFlowValidationDetails::UnreachableNodeFlowValidationDetails() : 
    m_nodeHasBeenSet(false)
{
}

UnreachableNodeFlowValidationDetails::UnreachableNodeFlowValidationDetails(JsonView jsonValue)
  : UnreachableNodeFlowValidationDetails()
{
  *this = jsonValue;
}

UnreachableNodeFlowValidationDetails& UnreachableNodeFlowValidationDetails::operator =(JsonView jsonValue)
{
  if(jsonValue.ValueExists("node"))
  {
    m_node = jsonValue.GetString("node");

    m_nodeHasBeenSet = true;
  }

  return *this;
}

JsonValue UnreachableNodeFlowValidationDetails::Jsonize() const
{
  JsonValue payload;

  if(m_nodeHasBeenSet)
  {
   payload.WithString("node", m_node);

  }

  return payload;
}

} // namespace Model
} // namespace BedrockAgent
} // namespace Aws
