﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#include <aws/cleanrooms/model/AnalysisTemplateValidationStatusReason.h>
#include <aws/core/utils/json/JsonSerializer.h>

#include <utility>

using namespace Aws::Utils::Json;
using namespace Aws::Utils;

namespace Aws
{
namespace CleanRooms
{
namespace Model
{

AnalysisTemplateValidationStatusReason::AnalysisTemplateValidationStatusReason() : 
    m_messageHasBeenSet(false)
{
}

AnalysisTemplateValidationStatusReason::AnalysisTemplateValidationStatusReason(JsonView jsonValue)
  : AnalysisTemplateValidationStatusReason()
{
  *this = jsonValue;
}

AnalysisTemplateValidationStatusReason& AnalysisTemplateValidationStatusReason::operator =(JsonView jsonValue)
{
  if(jsonValue.ValueExists("message"))
  {
    m_message = jsonValue.GetString("message");

    m_messageHasBeenSet = true;
  }

  return *this;
}

JsonValue AnalysisTemplateValidationStatusReason::Jsonize() const
{
  JsonValue payload;

  if(m_messageHasBeenSet)
  {
   payload.WithString("message", m_message);

  }

  return payload;
}

} // namespace Model
} // namespace CleanRooms
} // namespace Aws
