﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#include <aws/cognito-idp/model/DeleteWebAuthnCredentialRequest.h>
#include <aws/core/utils/json/JsonSerializer.h>

#include <utility>

using namespace Aws::CognitoIdentityProvider::Model;
using namespace Aws::Utils::Json;
using namespace Aws::Utils;

DeleteWebAuthnCredentialRequest::DeleteWebAuthnCredentialRequest() : 
    m_accessTokenHasBeenSet(false),
    m_credentialIdHasBeenSet(false)
{
}

Aws::String DeleteWebAuthnCredentialRequest::SerializePayload() const
{
  JsonValue payload;

  if(m_accessTokenHasBeenSet)
  {
   payload.WithString("AccessToken", m_accessToken);

  }

  if(m_credentialIdHasBeenSet)
  {
   payload.WithString("CredentialId", m_credentialId);

  }

  return payload.View().WriteReadable();
}

Aws::Http::HeaderValueCollection DeleteWebAuthnCredentialRequest::GetRequestSpecificHeaders() const
{
  Aws::Http::HeaderValueCollection headers;
  headers.insert(Aws::Http::HeaderValuePair("X-Amz-Target", "AWSCognitoIdentityProviderService.DeleteWebAuthnCredential"));
  return headers;

}




